PipeWire 0.2.5

Data Fields
pw_port_proxy_methods Struct Reference

Port methods. More...

## Data Fields
uint32_t | version
void(* | enum_params )(void *object, uint32_t id, uint32_t start, uint32_t num, const struct spa_pod *filter)
| Enumerate port parameters. More...

## Detailed Description

Port methods.

## Field Documentation

## ◆ enum_params

void(* pw_port_proxy_methods::enum_params) (void *object, uint32_t id, uint32_t start, uint32_t num, const struct spa_pod *filter)

Enumerate port parameters.

Start enumeration of port parameters. For each param, a param event will be emited.

Parameters

  id | the parameter id to enumerate
  start | the start index or 0 for the first param
  num | the maximum number of params to retrieve
  filter | a param filter or NULL

## ◆ version

uint32_t pw_port_proxy_methods::version

The documentation for this struct was generated from the following file:

- interfaces.h